<?xml version="1.0"?>
<configuration>
  <appSettings>
    <add key="Modules" value="" />
    <add key="NewVersionServer" value="" />
    <add key="EnableDiagnosticActions" value="False" />
    <add key="IsTrial" value="True" />    
    <add key="IsConnectionStringEncrypt" value="False" />
    <add key="WebServiceApi" value="http://wechat-auto.bluegrid.com.cn/APIs/WechatMessage.asmx" />
    <!--
		Use the one of predefined values: None, ApplicationFolder, ApplicationDataFolder. The default value is ApplicationFolder.
		<add key="TraceLogLocation" value="CurrentUserApplicationDataFolder"/>
		<add key="UserModelDiffsLocation" value="CurrentUserApplicationDataFolder"/>	    
    <add key="Provider" value ="System.Data.SqlClient"/>
    -->
    <add key="Languages" value="zh-cn" />
    <add key="ClientSettingsProvider.ServiceUri" value="" />
  </appSettings>
  <connectionStrings>
    <!--<add name="ConnectionString" connectionString="user id=sa;password=198;Data Source=.\SQLEXPRESS;Initial Catalog=Bluegrid.AutoBeauty"/>-->
    <add name="ConnectionString" connectionString="Provider=Microsoft.Jet.OLEDB.4.0;Password=;User ID=Admin;Data Source=Bluegrid.AutoBeauty.mdb;Mode=Share Deny None;" />	
  </connectionStrings>
  <system.diagnostics>
    <switches>
      <!-- Use the one of predefined values: 0-Off, 1-Errors, 2-Warnings, 3-Info, 4-Verbose. The default value is 3. -->
      <add name="eXpressAppFramework" value="3" />
      <!--
			<add name="XPO" value="3" />
			-->
    </switches>
  </system.diagnostics>
  <startup>
    <supportedRuntime version="v2.0.50727" />
  </startup>
  <system.web>
    <!--角色提供者配置-->
    <roleManager enabled="true">
      <providers>
        <remove name="AspNetSqlRoleProvider"/>
        <add name="AspNetSqlRoleProvider" applicationName="Bluegrid.MembershipProvider" connectionStringName="ConnectionString"
             type="System.Web.Security.SqlRoleProvider, System.Web, Version=2.0.3600.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"/>
      </providers>
    </roleManager>
    <!--成员提供者配置-->
    <membership>
      <providers>
        <remove name="AspNetSqlMembershipProvider"/>
        <add name="AspNetSqlMembershipProvider" enablePasswordRetrieval="false" connectionStringName="ConnectionString"  enablePasswordReset="true" requiresQuestionAndAnswer="false"
             applicationName="Bluegrid.MembershipProvider" requiresUniqueEmail="false" passwordFormat="Hashed" maxInvalidPasswordAttempts="10" minRequiredPasswordLength="1"
             minRequiredNonalphanumericCharacters="0" passwordStrengthRegularExpression="" passwordAttemptWindow="10"
             type="System.Web.Security.SqlMembershipProvider, System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"/>
      </providers>
    </membership>

  </system.web>
  
</configuration>